<ui:composition xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h2>#{messages['net.ihe.gazelle.atna.ListSSLTLSServerSimulators']}</h2>

        <ui:decorate template="/simulators/list.xhtml">
            <ui:param name="simulatorList" value="#{serverSimulatorListBean}"/>
            <ui:define name="additionalGlobalActions">
                <a4j:commandButton rendered="#{s:hasRole('admin_role')}" styleClass="gzl-btn-green btn-xs"
                                   value="#{messages['net.ihe.gazelle.atna.StartAllServers']}"
                                   action="#{serverManager.startAllServers()}"
                                   oncomplete="#{serverSimulatorListBean.getFilter().modified()}"
                                   render="filterForm,simulatorTableForm"/>
                <a4j:commandButton rendered="#{s:hasRole('admin_role')}" styleClass="gzl-btn-red btn-xs"
                                   value="#{messages['net.ihe.gazelle.atna.StopAllServers']}"
                                   action="#{serverManager.stopAllServers()}"
                                   oncomplete="#{serverSimulatorListBean.getFilter().modified()}"
                                   render="filterForm,simulatorTableForm"/>
            </ui:define>
            <ui:define name="additionalFilters">

                <ui:include src="/filter/filter.xhtml">
                    <ui:param name="form_template"
                              value="/layout/display/_display_field_horizontal_4-8.xhtml"/>
                    <ui:param name="filterName" value="#{messages['net.ihe.gazelle.atna.ServerType']}"/>
                    <ui:param name="filterId" value="serverType"/>
                    <ui:param name="filter" value="#{simulatorList.filter}"/>
                    <ui:param name="filterForm" value="filterForm,simulatorTableForm"/>
                </ui:include>

                <ui:decorate template="/layout/form/_form_checkbox_horizontal_4-8.xhtml">
                    <h:selectBooleanCheckbox value="#{simulatorList.showOnlyRunning}">
                        <a4j:ajax event="change" render="filterForm,simulatorTableForm"/>
                    </h:selectBooleanCheckbox>
                    #{messages['net.ihe.gazelle.atna.ShowOnlyRunningServers']}
                </ui:decorate>

            </ui:define>
            <ui:define name="additionalColumns">
                <g:column>
                    <ui:define name="header">#{messages['net.ihe.gazelle.atna.IPHost']}</ui:define>
                    <h:outputText value="#{serverManager.getIps()}"/>
                </g:column>
                <g:column>
                    <ui:define name="header">#{messages['net.ihe.gazelle.atna.Port']}</ui:define>
                    <h:outputText value="#{simulator.getLocalPort()}"/>
                </g:column>
                <g:column>
                    <ui:define name="header">#{messages['net.ihe.gazelle.atna.Status']}</ui:define>
                    <h:outputText value="#{messages['net.ihe.gazelle.atna.Running']}"
                                  styleClass="gzl-text-green"
                                  rendered="#{simulator.running and simulatorList.isForwardReachable(simulator)}"/>
                    <h:outputText value="#{messages['net.ihe.gazelle.atna.Error']}"
                                  title="Forward service is not reachable"
                                  styleClass="gzl-text-orange"
                                  rendered="#{simulator.running and not simulatorList.isForwardReachable(simulator)}"/>
                    <h:outputText value="#{messages['net.ihe.gazelle.atna.Stopped']}"
                                  styleClass="gzl-text-red" rendered="#{not simulator.running}"/>
                </g:column>
            </ui:define>
            <ui:define name="additionalActions">

                <a4j:commandLink action="#{simulatorList.stopServer(simulator.id)}"
                                 title="#{messages['net.ihe.gazelle.atna.StopServer']}"
                                 rendered="#{simulator.running and s:hasRole('admin_role')}"
                                 render="simulatorTableForm,filterForm">
                    <s:span styleClass="fa fa-power-off"></s:span>
                </a4j:commandLink>

                <a4j:commandLink action="#{simulatorList.startServer(simulator.id)}"
                                 styleClass="gzl-text-green"
                                 title="#{messages['net.ihe.gazelle.atna.StartServer']}"
                                 rendered="#{simulator.enabled and not simulator.running and s:hasRole('admin_role')}"
                                 render="simulatorTableForm,filterForm">
                    <s:span styleClass="fa fa-power-off"></s:span>
                </a4j:commandLink>

            </ui:define>
        </ui:decorate>
    </ui:define>
</ui:composition>
